### org.jfree.layouting.renderer.process.valign

# Class InlineBlockAlignContext

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.valign.AlignContext`
  - - `org.jfree.layouting.renderer.process.valign.InlineBlockAlignContext`

`public class InlineBlockAlignContext`
`extends AlignContext`

Todo: We should select a baseline (and not be limited to the first one)

Author:
  Thomas Morgner

  ## Constructor Summary

  `InlineBlockAlignContext(RenderBox box)`

  ## Method Summary

  `long`

  `getAfterEdge()`

  `long`

  `getBaselineDistance(int baseline)`

  `long`

  `getBeforeEdge()`

  `void`

  `shift(long delta)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.valign.AlignContext

  `getAfterEdge`, `getBaselineDistance`, `getBeforeEdge`, `getDominantBaseline`, `getNext`, `getNode`, `setDominantBaseline`, `setNext`, `shift`

## Constructor Details

### InlineBlockAlignContext

    public InlineBlockAlignContext(RenderBox box)

## Method Details

### getAfterEdge

    public long getAfterEdge()

> Overrides:
>   getAfterEdge in interface AlignContext

### getBaselineDistance

    public long getBaselineDistance(int baseline)

> Overrides:
>   getBaselineDistance in interface AlignContext

### getBeforeEdge

    public long getBeforeEdge()

> Overrides:
>   getBeforeEdge in interface AlignContext

### shift

    public void shift(long delta)

> Overrides:
>   shift in interface AlignContext